# Cancel agreement This endpoint allows canceling an existing link by its ID, revoking the seller's authorization to process payments from the buyer's wallet. In case of success, the request will return a response with status 200. **DELETE** `/v2/wallet_connect/agreements/{agreement_id}` ## Request parameters ### Header - `x-platform-id` (string, optional) Identifier for platforms or modules that offer Mercado Pago within their solutions. ### Path - `agreement_id` (string, required) Unique identifier of the agreement. ### Query - `client.id` (number, optional) Unique identifier of the client application. ## Response parameters This endpoint has no response body. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad Request. | | 404 | 404 | Not Found. | | 500 | internal_error | Some error occurred on our side while attempting to process the request. Please try again later. | ## Request example ### cURL ```bash curl -X DELETE \ 'https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}?client.id=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ```